docusign.bcc-email-archive.delete-bcc-email-archive ​
This method deletes a BCC email archive configuration from an account. When you use this method, the status of the BCC email archive configuration switches to closed and the BCC email address is no longer used to archive Docusign-generated email messages.
Deletes a BCC email archive configuration.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
bccemailarchiveid | string | Yes | — | The ID of the BCC email archive configuration. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
bccemailarchiveid | string | Yes | — | The ID of the BCC email archive configuration. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call DELETE /v2.1/accounts/{accountId}/settings/bcc_email_archives/ |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform DELETE /v2.1/accounts/{accountId}/settings/bcc_email_archives/ |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.bcc-email-archive.delete-bcc-email-archive",
"initial_data": {
"base_url": "value",
"accountid": "value",
"bccemailarchiveid": "value"
}
}